> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Reevaluate Saved Artifact



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/artifacts/{artifact_id}/reevaluate
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/artifacts/{artifact_id}/reevaluate:
    post:
      tags:
        - Brand Intelligence history
        - BI re-evaluation
      summary: Reevaluate Saved Artifact
      operationId: >-
        reevaluate_saved_artifact_api_v1_brands__brand_id__brand_intelligence_artifacts__artifact_id__reevaluate_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Artifact Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReevaluationRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReevaluationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReevaluationRequest:
      properties:
        idempotency_key:
          type: string
          maxLength: 128
          minLength: 1
          pattern: ^[a-zA-Z0-9_-]+$
          title: Idempotency Key
      additionalProperties: false
      type: object
      required:
        - idempotency_key
      title: ReevaluationRequest
    ReevaluationResponse:
      properties:
        request_id:
          type: string
          format: uuid
          title: Request Id
        source_artifact_id:
          type: string
          format: uuid
          title: Source Artifact Id
        module:
          anyOf:
            - type: string
            - type: 'null'
          title: Module
        status:
          type: string
          enum:
            - claimed
            - dispatched
            - completed
            - rejected
            - outcome_unknown
          title: Status
        artifact_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Artifact Id
        native_href:
          anyOf:
            - type: string
            - type: 'null'
          title: Native Href
        message:
          type: string
          title: Message
      type: object
      required:
        - request_id
        - source_artifact_id
        - module
        - status
        - message
      title: ReevaluationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````